import { useState, useEffect} from 'react';
import { connect } from '@umijs/max';
import { ConfigProvider } from 'antd';

import PagesMainPublicHouseTable from '@/components/Render/Main/Publichouse/table'
import PagesMainPublicHouseCreate from '@/components/Render/Main/Publichouse/create'

const PublicHousePage: React.FC = ({ dispatch, openModel }: any) => {
    const [id, setId] = useState<number>(0);
    const getId = (value: number) => {
        setId(value)
    }

    useEffect(() => {
        if(!openModel.openModal) {
            setId(0)
        }
    }, [openModel.openModal])

    return (
        <>
            <ConfigProvider
                theme={{
                    token: {
                        colorPrimary: '#4FBE70',
                    }
                }}
            >
                <PagesMainPublicHouseTable getId={getId}></PagesMainPublicHouseTable>
                <PagesMainPublicHouseCreate id={id}></PagesMainPublicHouseCreate>
            </ConfigProvider>
        </>
    );
};

export default connect(({  openModel }: any) => ({
    openModel
}))(PublicHousePage);

